Bug 169528 - Swapping mouse buttons doesn't work with "AlwaysCore" devices
Swapping mouse buttons doesn't work with "AlwaysCore" devices
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: 170417
  Show dependency treegraph
 
Reported: 2005-09-29 08:49 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 06:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-09-29 08:49:07 EDT
1) check the mapping with 'xmodmap -pp' (it should be Button=Code)
2) change the mapping with 'xmodmap -e "pointer = 3 2 1 4 5" '
3) check the mapping again ('xmodmap -pp') it should have buttons 3 and 1 swapped
4) the mouse should then behave as known-broken (left and right behaving like
the right mouse button)

In /etc/X11/XF86Config (or /etc/X11/xorg.conf) the 'ServerLayout' section looks
like:
Section "ServerLayout"
       Identifier     "Default Layout"
       Screen      0  "Screen0" 0 0
       InputDevice    "Keyboard0" "CoreKeyboard"
       InputDevice    "DevInputMice" "AlwaysCore"
EndSection

If changed to look like the following, the button swap will work:
Section "ServerLayout"
       Identifier     "Default Layout"
       Screen      0  "Screen0" 0 0
       InputDevice    "Keyboard0" "CoreKeyboard"
       InputDevice    "DevInputMice" "CorePointer"
EndSection

This problem happens on a bare X (failsafe with only twm and xterm). Note that
the problem also occurs on RHEL4, and FC4's x.org.
Comment 1 Mike A. Harris 2005-10-03 02:39:39 EDT
I believe we looked into this before, and it wasn't a bug, but a limitation
in xmodmap et al.  We'll need to re-investigate this during the RHEL4U3
cycle, but it probably falls under the lines of "feature enhancement request".

Note You need to log in before you can comment on or make changes to this bug.